Name:          jimfs
Version:       1.1
Release:       1%{?dist}
Summary:       An in-memory file system for Java 7+ 
License:       ASL 2.0
URL:           https://github.com/google/jimfs
Source0:       https://github.com/google/jimfs/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.google.auto.service:auto-service)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.ibm.icu:icu4j)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

%if 0
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(com.google.guava:guava-testlib)
BuildRequires: mvn(com.google.truth:truth:0.27)
%endif

BuildArch:     noarch

%description
Jimfs is an in-memory file system for Java 7 and above,
implementing the java.nio.file abstract file system APIs.

%package parent
Summary:       Jimfs Parent POM

%description parent
This package provides Jimfs Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Unneeded tasks
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId ='maven-javadoc-plugin']/pom:executions" %{name}

# Fix maven-compiler-plugin configuration/dependencies
%pom_xpath_remove "pom:compilerId"
# com.google.errorprone:error_prone_core:1.1.1
# org.codehaus.plexus:plexus-compiler-javac:2.4
# org.codehaus.plexus:plexus-compiler-javac-errorprone:2.4
%pom_remove_dep com.google.errorprone:error_prone_core
%pom_remove_dep org.codehaus.plexus:plexus-compiler-javac
%pom_remove_dep org.codehaus.plexus:plexus-compiler-javac-errorprone

# Fix test deps
%pom_change_dep :junit ::4.10:test %{name}
%pom_change_dep :truth ::0.16:test %{name}
%pom_change_dep :guava-testlib ::'${guava.version}':test %{name}

%mvn_file com.google.%{name}:%{name} %{name}

%build

# Test skipped for unavailable test deps: com.google.truth:truth:0.27
%mvn_build -sf

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.md
%license LICENSE

%files parent -f .mfiles-%{name}-parent
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Feb 13 2016 gil cattaneo <puntogil@libero.it> 1.1-1
- update to 1.1
 
* Fri Nov 27 2015 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
